
--[[
	PickingSkill
	An addon for World of Warcraft that shows pertinent information about
	the skill required for opening various locked boxes when you hover over the item in the game.
--]]



PickingSkill_BoxName = {
	["Battered Junkbox"]="75",	
	["Worn Junkbox"]="125",	
	["Sturdy Junkbox"]="175",
	["Heavy Junkbox"]="250",
	["Strong Junkbox"]="300",	
	["Battered Chest"]="1",			-- Skilldata needed		
	["Small Locked Chest"]="1",		-- Skilldata needed	
	["Reinforced Locked Chest"]="75",	
	["Sturdy Locked Chest"]="125",		
	["Ironbound Locked Chest"]="175",	
	["Ornate Bronze Lockbox"]="1",		-- Skilldata needed
	["Heavy Bronze Lockbox"]="1",		-- Skilldata needed	
	["Iron Lockbox"]="75",		
	["Strong Iron Lockbox"]="125",	
	["Steel Lockbox"]="175",	
	["Reinforced Steel Lockbox"]="225",
	["Mithril Lockbox"]="225",	
	["Thorium Lockbox"]="225",	
	["Eternium Lockbox"]="225",
};

PS_TEXT = {
		LOAD		= "PickingSkill v%s loaded.\n  Use /pickingskill or /ps for options.",
		TITLE		= "PickingSkill v%s...",
		PLAYER_CLASS	= "Rogue",
		SKILL_NAME	= "Lockpicking",
		LOCKED		= "Locked",

		CMD = {		
				OPTIONS = "options",
				COMPACT = "compact",
				CONFIG = "cfg",
				SKELETONKEY = "key",
				SKILL = "skill",
				SHOW = "show",
			},

		SHOWTITLE =   "PickingSkill v%s, currently stored preferences...",

		SHOWKEY = {		
				YES = "  Skeleton key usage information will be shown.",
				NO = "  Skeleton key usage information will not be shown.",
			},

		SHOWSKILL = {		
				YES = "  Skill value (eg %s(%s175%s<179/300)%s information will be shown.",
				NO = "  Skill value (eg %s(%s175%s<179/300)%s information will not be shown.",
			},

		SHOWCOMPACT = {		
				YES = "  Using compact tooltip (eg %sNeeds %s175 %sLockpicking%s)",
				NO = "  Using long tooltip (eg %sYou %scan%s unlock this item%s) \n Best used in conjunction with showing skill values.",
			},


		CHKBOX = {
				ENABLED		= "Enable/Disable this AddOn.",
				SHOWKEY		= "Show skeleton key details.\neg |cfefefefea Blacksmith with a Gold skeleton key",
				SHOWSKILL	= "Show skill value details.\neg |cfefefefe(|cFEFE7F3F175|cfefefefe<179/300)",
				COMPACT		= "Use short tooltip.\neg |cfefefefeNeeds |cFEFE1F1F175 |cfefefefeLockpicking",
			   },				

		STRINGS = {
				COMPACT = "|cfefefefeNeeds %s%s%s Lockpicking.",
				CAN = "\n|cfefefefeYou %scan%s unlock this item.",
				NOT = "\n|cfefefefeYou can %snot%s unlock this item.",
				NOTROGUE = "\n|cfefefefeRogue with %s%s%s skill needed to unlock this item",
				KEYSTRING = " or a Blacksmith with %s skeleton key.",

				SKELETON = {		
						SILVER = "a Silver",
						GOLD = "a Gold",
						TRUESILVER = "a Truesilver",
						ARCANITE = "an Arcanite",
					},
				
				HELP = {		
						LINE1 = "\nThere are five options available.\n%s /ps %s %swill toggle the display of the skeleton key information.",
						LINE2 = "\n%s /ps %s %swill toggle the display of the current & required skill information. (eg   (%s175%s<179/300)",
						LINE3 = "\n%s /ps %s %swill display your current preferences.",
						LINE4 = "\n%s /ps %s %swill toggle between long and short tooltips.",
						LINE5 = "\n%s /ps %s %swill show the GUI configuration screen.",
					},

			    },
	};