--[[
	PickingSkill
	An addon for World of Warcraft that shows pertinent information about
	the skill required for opening various locked boxes when you hover over the item in the game.
--]]

-- List of all known boxes that can be stored in a backpack
-- BoxInfo is for when we can search by ItemID (backpack mouseover, chatlink)
-- BoxName is for when we can NOT search by ItemID (loot window) (moved to Localisation.lua)


PickingSkill_BoxInfo = {
	["16882"]="75",		-- Battered Junkbox
	["16883"]="125",	-- Worn Junkbox
	["16884"]="175",	-- Sturdy Junkbox
	["16885"]="250",	-- Heavy Junkbox
	["29569"]="300",	-- Strong Junkbox
	["6356"]="1",		-- Battered Chest
	["6354"]="1",		-- Small Locked Chest
	["13918"]="75",		-- Reinforced Locked Chest
	["6355"]="125",		-- Sturdy Locked Chest
	["13875"]="175",	-- Ironbound Locked Chest
	["4632"]="1",		-- Ornate Bronze Lockbox
	["4633"]="1",		-- Heavy Bronze Lockbox
	["4634"]="75",		-- Iron Lockbox
	["4636"]="125",		-- Strong Iron Lockbox
	["4637"]="175",		-- Steel Lockbox
	["4638"]="225",		-- Reinforced Steel Lockbox
	["5758"]="225",		-- Mithril Lockbox
	["5759"]="225",		-- Thorium Lockbox
	["5760"]="225",		-- Eternium Lockbox
};